@font-face {
    font-family: "Inter";
    src: url("./assets/fonts/inter.woff2") format("woff2");
    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
}


:root {
    --color-white: #EBEBEB;
    --color-black: #000000;

    --color-red: #FF173A;
    --color-pink: #FA405B;
    --color-grey: #595959;
    --color-blue-light: #F4F6F7;

    --color-background-01: #FBF8F3;
    --color-background-02: #F6F2EC;
    --color-background-03: #E8E6E0;
    --color-background-04: #151311;
}


::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background-color: var(--color-grey);
}

::-webkit-scrollbar-thumb {
    background-color: var(--color-pink);
}


* {
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    font-style: normal;
}


body {
    margin: 0;
    padding: 0;
    color: var(--color-black);
    background-color: var(--color-background-01);
}


.headerGroup {
    position: absolute;
    top: 30px;
    right: 0;
    left: 0;
    justify-items: center;
    z-index: 1;

    .groupWrapper {
        max-width: 1920px;
        width: 100%;
        padding: 10px clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        display: flex;
        align-items: center;
    }

    .leftGroup,
    .rightGroup {
        display: flex;
        flex: 1;
    }

    .leftGroup {
        .headerLogo {
            display: flex;
            align-items: center;

            img {
                height: 28px;
                transition: all 0.2s ease;
            }
        }
    }

    .navigationGroup {
        display: flex;
        gap: 30px;

        .navigationButton {
            font-weight: 500;
            color: var(--color-black);
            text-decoration: none;
            transition: all 0.2s ease;

            &:hover {
                text-decoration: underline;
            }
        }
    }

    .rightGroup {
        justify-content: end;

        .ctaButton {
            padding: 14px 22px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: 600;
            line-height: 1;
            color: var(--color-white);
            background-color: var(--color-pink);
            border: 2px solid var(--color-pink);
            border-radius: 8px;
            text-decoration: none;
            transition: font-size 0.2s, padding 0.2s, background-color 0.2s;

            &:hover {
                background-color: var(--color-red);
                border-color: var(--color-red);
            }
        }
    }

    &.stuck {
        position: fixed;
        top: 0;
        box-shadow: 0 5px 5px rgba(0, 0, 0, 0.05);
        background: var(--color-background-01);

        .groupWrapper {
            padding: 8px clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        }

        .leftGroup {
            .headerLogo {
                img {
                    height: 22px;
                }
            }
        }

        .navigationGroup {
            gap: 22px;

            .navigationButton {
                font-size: 14px;
            }
        }

        .rightGroup {
            .ctaButton {
                padding: 12px 20px;
                font-size: 14px;
            }
        }
    }
}


.heroSection {
    position: relative;
    justify-items: center;
    background-color: var(--color-background-01);

    .sectionWrapper {
        max-width: 1920px;
        width: 100%;
        padding-top: 250px;
        padding-bottom: 180px;
        padding-left: clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        padding-right: clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        display: flex;
        flex-direction: column;
        gap: 36px;
    }

    .sectionTitleGroup {
        display: flex;
        flex-direction: column;
        align-self: flex-start;
        gap: 16px;

        .sectionTitle {
            margin: 0;
            font-size: clamp(32px, 4vw, 64px);
            font-weight: 580;
            text-wrap: balance;
            text-indent: -0.02em;
            line-height: 1;
        }

        .sectionSubtitle {
            margin: 0;
            padding-top: 16px;
            display: flex;
            align-self: flex-start;
            font-size: clamp(14px, 2vw, 16px);
            font-weight: 400;
            text-wrap: balance;
            border-top: 8px solid var(--color-pink);
        }
    }

    .sectionButtonsGroup {
        display: flex;
        align-items: center;
        gap: 10px;

        .ctaButton {
            position: relative;
            padding: 14px 22px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: 500;
            line-height: 1;
            color: var(--color-white);
            background-color: var(--color-pink);
            border: 2px solid var(--color-pink);
            border-radius: 8px;
            transition: color 0.2s, background-color 0.2s;
            text-decoration: none;
            overflow: hidden;

            &:nth-child(1) {
                font-weight: 600;

                &:hover {
                    background-color: var(--color-red);
                    border-color: var(--color-red);
                }
            }

            &:nth-child(2) {
                color: var(--color-black);
                background: transparent;
                border-color: var(--color-black);

                &:hover {
                    color: var(--color-white);
                    background-color: var(--color-background-04);
                }
            }
        }
    }
}


.middleSection {
    position: relative;
    justify-items: center;
    overflow: hidden;

    .sectionWrapper {
        max-width: 1920px;
        width: 100%;
        padding: clamp(80px, 6vw, 100px) clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        display: flex;
        gap: clamp(20px, calc(20px + (100 - 20) * ((100vw - 720px) / (1920 - 720))), 100px);
    }

    .sectionTitleGroup {
        width: clamp(340px, calc(340px + (420 - 340) * ((100vw - 1366px) / (1920 - 1366))), 420px);
        min-width: clamp(340px, calc(340px + (420 - 340) * ((100vw - 1366px) / (1920 - 1366))), 420px);
        padding: 20px 0;
        display: flex;
        flex-direction: column;
        gap: 24px;

        .sectionTitle {
            margin: 0;
            font-size: clamp(48px, 4vw, 64px);
            text-wrap: balance;
            text-indent: -0.04em;
            line-height: 1;
        }

        .sectionDescriptionGroup {
            display: flex;
            flex-direction: column;
            gap: 16px;

            .sectionDescription {
                margin: 0;
                width: 30ch;
                text-wrap: pretty;
                font-size: clamp(14px, 2vw, 16px);
            }

            .descriptionDivider {
                width: 160px;
                height: 8px;
                background-color: var(--color-pink);
            }
        }
    }
}

.middleSection.ourServices {
    background-color: var(--color-background-02);

    .sectionContent {
        display: flex;
        flex-direction: column;
        flex: 1;

        .listItem {
            padding: clamp(20px, 2vw, 24px) 0;
            display: flex;
            border-bottom: 1px solid var(--color-background-03);

            .itemNumber {
                min-width: clamp(30px, calc(30px + (80 - 30) * ((100vw - 480px) / (1920 - 480))), 80px);
                font-size: 14px;
                font-weight: 700;
                color: var(--color-pink);
            }

            .itemContent {
                .itemTitle {
                    margin: 0 0 4px 0;
                    font-size: clamp(16px, 2vw, 20px);
                    font-weight: 600;
                    line-height: 1;
                    text-wrap: balance;
                }

                .itemDescription {
                    margin: 0;
                    font-size: clamp(14px, 2vw, 16px);
                    font-weight: 300;
                    text-wrap: pretty;
                }
            }
        }
    }
}

.middleSection.ourSolutions {
    background-color: var(--color-background-03);

    .sectionContent {
        display: flex;
        flex-direction: column;
        gap: clamp(12px, 1vw, 20px);

        .gridLine {
            display: flex;
            gap: clamp(12px, 1vw, 20px);

            .lineItem {
                position: relative;
                padding: clamp(30px, 2vw, 40px) clamp(22px, 2vw, 30px);
                border-radius: 10px;
                background-color: var(--color-background-01);

                .itemTitle {
                    margin: 0 0 8px 0;
                    font-size: clamp(20px, 1.5vw, 24px);
                    font-weight: 600;
                    text-indent: -0.03em;
                    line-height: 1;
                    z-index: 1;
                }

                .itemDescription {
                    margin: 0;
                    font-size: clamp(14px, 1vw, 16px);
                    font-weight: 400;
                    text-wrap: pretty;
                    z-index: 1;
                }

                &.fill {
                    flex: 1;
                    min-width: 55%;
                }

                &.blue {
                    background-color: var(--color-blue-light);
                }
            }

            .lineColumn {
                display: flex;
                flex-direction: column;
                gap: clamp(12px, 1vw, 20px);
            }
        }
    }
}

.middleSection.existProject {
    background-color: var(--color-background-01);

    .sectionContent {
        display: flex;
        flex-direction: column;
        flex: 1;

        .listItem {
            padding: 18px 0;
            padding: clamp(16px, 2vw, 18px) 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
            border-bottom: 1px solid var(--color-background-03);

            .itemTitle {
                margin: 0;
                font-size: clamp(14px, 2vw, 16px);
                font-weight: 600;
                text-wrap: balance;
            }

            .itemCircle {
                width: 10px;
                height: 10px;
                border-radius: 50%;
                background-color: var(--color-background-03);
            }
        }
    }
}

.middleSection.workWith {
    background-color: var(--color-background-03);

    .sectionContent {
        display: grid;
        flex: 1;
        grid-template-columns: repeat(2, 1fr);
        row-gap: clamp(8px, 1vw, 12px);
        column-gap: clamp(14px, 1vw, 20px);

        .gridItem {
            padding: clamp(14px, 2vw, 18px) clamp(20px, 2vw, 30px);
            font-size: clamp(14px, 2vw, 16px);
            font-weight: 600;
            text-wrap: balance;
            border-radius: 10px;
            background-color: var(--color-background-01);
        }
    }
}

.middleSection.howWork {
    background-color: var(--color-background-01);

    .sectionContent {
        display: flex;
        flex-direction: column;
        flex: 1;

        .listItem {
            padding: clamp(16px, 2vw, 20px) 0;
            display: flex;
            align-items: center;
            border-bottom: 1px solid var(--color-background-03);

            .itemNumber {
                min-width: clamp(30px, 2vw, 40px);
                font-size: 14px;
                font-weight: 700;
                color: var(--color-pink);
            }

            .itemTitle {
                margin: 0;
                font-size: clamp(14px, 2vw, 16px);
                font-weight: 600;
                text-wrap: balance;
            }
        }
    }
}

.middleSection.ourContacts {
    background-color: var(--color-background-03);

    .sectionContent {
        display: flex;
        flex-direction: column;
        flex: 1;
        gap: clamp(12px, 2vw, 16px);

        .contactsBlock {
            padding: clamp(18px, 2vw, 30px);
            display: flex;
            align-items: center;
            justify-content: space-between;
            background-color: var(--color-background-01);
            border-radius: 10px;

            .blockTitle {
                margin: 0;
                font-size: clamp(24px, 2vw, 32px);
                font-weight: 600;
                text-wrap: balance;
                text-indent: -0.04em;
                line-height: 1;
            }

            .socialsGroup {
                display: flex;
                align-items: center;
                gap: clamp(12px, 2vw, 14px);

                a {
                    display: flex;
                    align-items: center;
                    text-decoration: none;

                    img {
                        height: clamp(26px, 2vw, 32px);
                        transition: transform 0.2s;
                    }

                    &:hover {
                        img {
                            transform: scale(1.1);
                        }
                    }
                }
            }
        }

        .feedbackFormBlock {
            padding: clamp(18px, 2vw, 30px);
            display: flex;
            flex-direction: column;
            gap: clamp(24px, 2vw, 30px);
            background-color: var(--color-background-01);
            border-radius: 10px;

            .blockTitle {
                margin: 0;
                font-size: clamp(24px, 2vw, 32px);
                font-weight: 600;
                text-indent: -0.04em;
                line-height: 1;
            }

            .blockContent {
                display: flex;
                flex-direction: column;
                gap: clamp(16px, 2vw, 20px);

                .inputGroup {
                    border-bottom: 1px solid var(--color-grey);

                    .inputTitle {
                        margin: 0;
                        font-size: clamp(12px, 2vw, 14px);
                        font-weight: 600;
                        text-indent: -0.02em;
                        color: var(--color-grey);
                    }

                    input {
                        width: 100%;
                        padding: clamp(10px, 2vw, 14px) 0 4px 0;
                        font-size: 16px;
                        background: transparent;
                        border: none;

                        &:focus {
                            outline: none;
                        }
                    }

                    textarea {
                        width: 100%;
                        min-height: 120px;
                        max-height: 360px;
                        padding: 14px 0 4px 0;
                        font-size: 16px;
                        background: transparent;
                        border: none;
                        resize: vertical;

                        &:focus {
                            outline: none;
                        }

                        &::-webkit-scrollbar {
                            display: none;
                        }
                    }
                }
            }

            .blockFooter {
                display: flex;
                flex-direction: column;
                gap: 12px;

                .agreementInfo {
                    margin: 0;
                    font-size: clamp(12px, 2vw, 14px);
                    color: var(--color-background-04);

                    a {
                        color: #1f77e2;
                        text-decoration: none;

                        &:hover {
                            text-decoration: underline;
                        }
                    }
                }

                .sendButton {
                    padding: 14px 22px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    align-self: flex-start;
                    font-size: clamp(14px, 2vw, 16px);
                    font-weight: 500;
                    line-height: 1;
                    color: var(--color-white);
                    background-color: var(--color-pink);
                    border: 2px solid var(--color-pink);
                    border-radius: 8px;
                    text-decoration: none;
                    transition: font-size 0.2s, padding 0.2s, background-color 0.2s;
                    cursor: pointer;

                    &:hover {
                        background-color: var(--color-red);
                        border-color: var(--color-red);
                    }
                }
            }
        }
    }
}


.privacySection {
    position: relative;
    justify-items: center;
    background-color: var(--color-background-01);

    .sectionWrapper {
        max-width: 1920px;
        width: 100%;
        padding-top: clamp(140px, 14vw, 180px);
        padding-bottom: clamp(100px, 10vw, 120px);
        padding-left: clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        padding-right: clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        display: flex;
        flex-direction: column;
        gap: 32px;
    }

    .sectionTitle {
        margin: 0;
        font-size: clamp(24px, 4vw, 36px);
        font-weight: 580;
        text-wrap: balance;
        text-indent: -0.02em;
        line-height: 1;
    }

    .sectionContent {
        display: flex;
        flex-direction: column;
        gap: 28px;
        
        .textParagraph {
            display: flex;
            flex-direction: column;
            gap: 6px;

            h3 {
                margin: 0 0 2px 0;
                text-wrap: balance;
            }

            p {
                margin: 0;
                font-size: clamp(14px, 2vw, 16px);
                text-wrap: pretty;
            }

            ul {
                margin: 0;
                font-size: clamp(14px, 2vw, 16px);

                li {
                    text-wrap: pretty;
                }
            }
        }
    }
}


.footerSection {
    position: relative;
    justify-items: center;
    background-color: var(--color-background-04);
    overflow: hidden;

    .sectionWrapper {
        max-width: 1920px;
        width: 100%;
        padding: 60px clamp(20px, calc(20px + (180 - 20) * ((100vw - 720px) / (1920 - 720))), 180px);
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .sectionLine {
        display: flex;
        align-items: center;
        justify-content: space-between;

        .footerLogo {
            height: clamp(32px, 2vw, 48px);
        }

        .contactsGroup {
            display: flex;
            flex-direction: column;
            align-items: end;
            gap: 8px;

            .socialsGroup {
                display: flex;
                align-items: center;
                gap: clamp(12px, 2vw, 14px);

                a {
                    display: flex;
                    align-items: center;
                    text-decoration: none;

                    img {
                        height: clamp(26px, 2vw, 28px);
                        transition: transform 0.2s;
                    }

                    &:hover {
                        img {
                            transform: scale(1.1);
                        }
                    }
                }
            }

            .emailLink {
                font-weight: 550;
                color: var(--color-white);
                text-decoration: none;

                &:hover {
                    text-decoration: underline;
                }
            }
        }

        .sectionDescription {
            max-width: 45ch;
            margin: 0;
            color: var(--color-white);
            font-size: clamp(14px, 2vw, 16px);

            &:nth-child(2) {
                max-width: 35ch;
                text-align: end;
            }
        }
    }
}


@media screen and (max-width: 1080px) {
    .middleSection {
        .sectionWrapper {
            flex-direction: column;
        }

        .sectionTitleGroup {
            width: auto;
            min-width: auto;
            padding: 0;
            gap: 14px;

            .sectionDescriptionGroup {
                .sectionDescription {
                    &:nth-child(3) {
                        display: none;
                    }
                }
            }
        }
    }

    .footerSection {
        .sectionWrapper {
            gap: 32px;
        }

        .sectionLine {
            flex-direction: column;
            align-items: start;
            justify-content: start;
            gap: 28px;

            .contactsGroup {
                align-items: start;
                gap: 8px;
            }

            .sectionDescription {
                &:nth-child(2) {
                    text-align: start;
                }
            }

            &:nth-child(2) {
                gap: 14px;
            }
        }
    }
}

@media screen and (max-width: 960px) {
    .headerGroup {
        .leftGroup {
            .headerLogo {
                img {
                    height: 24px;
                }
            }
        }

        .navigationGroup {
            display: none;
        }

        .rightGroup {
            display: none;
        }
    }
}

@media screen and (max-width: 720px) {
    .middleSection.ourSolutions {
        .sectionContent {
            .gridLine {
                flex-direction: column;

                .lineItem {
                    &.blue {
                        background-color: var(--color-background-01);
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 620px) {
    .middleSection.workWith {
        .sectionContent {
            grid-template-columns: 1fr;
        }
    }
}

@media screen and (max-width: 480px) {
    .heroSection {
        .sectionWrapper {
            height: 100svh;
            padding-top: 0;
            padding-bottom: 80px;
            justify-content: end;
            gap: 48px;
        }

        .sectionTitleGroup {
            .sectionSubtitle {
                padding-top: 14px;
            }
        }

        .sectionButtonsGroup {
            display: flex;
            align-items: center;
            gap: 10px;

            .ctaButton {
                font-size: 14px;
            }
        }
    }

    .middleSection.ourContacts {
        .sectionContent {
            .feedbackFormBlock {
                .blockFooter {
                    .sendButton {
                        width: 100%;
                    }
                }
            }
        }
    }
}